image: ubuntu:focal

before_script:
  - apt update -qq
  - DEBIAN_FRONTEND=noninteractive apt install -y --no-install-recommends ca-certificates pandoc tar wget
  - chmod +x presentation/compile.sh

pages:
  stage: deploy
  script:
    - cd presentation
    - ./compile.sh
    - mkdir .public
    - mkdir .public/img
    - cp -r reveal.js .public/
    - cp presentation.html .public/index.html
    - cp img/* .public/img/
    - cp styles.css .public/
    - mv .public ../public
    - cd ..
    - ls -lah public/
  artifacts:
    paths:
      - public
